# -*- encoding: utf-8 -*-
import os
import tempfile


def get_secure_filename(suffix=""):
    """Create a temporary file as securely as possible.
    Make sure it is closed and return the filename for easy usage. The caller
    is responsible for removing the file when it's done.
    
    :param suffix: any suffix to give
    """

    file_handle, filename = tempfile.mkstemp(suffix=suffix)
    tmpfile = os.fdopen(file_handle, 'r')
    tmpfile.close()

    return filename
